Subject: Re: [PATCH v2 02/15] gnu: python-jupytext: Remove python-pre-commit.

From: Antero Mejr <[email-masked]>
Date: Sat, 11 Mar 2023 13:44:30 +0000

Liliana Marie Prikler <[email-masked]> writes:

> Am Samstag, dem 11.03.2023 um 01:31 +0000 schrieb Antero Mejr:
>> * gnu/packages/python-xyz.scm (python-jupytext)[native-inputs]:
>> Remove python-pre-commit.
>> [native-inputs]: Add pre-commit.
> Should be "replace python-pre-commit with pre-commit".  Regarding the
> first message in v1, shouldn't you be dropping this input altogether? 
> (Though I suppose pre-commit being a developer tool doesn't stop people
> from invoking it in their build files.)

Fixed that commit message in v3.

Yes, python-jupytext is an unusual case where they invoke pre-commit as
part of their tests.